langcode: en
status: true
dependencies:
  config:
    - block_content.type.map
    - field.field.block_content.map.field_address
    - field.field.block_content.map.field_coordinates
  module:
    - fences
    - layout_builder
    - leaflet
    - ui_patterns
    - ui_patterns_layouts
  theme:
    - sobki_theme_bootstrap
third_party_settings:
  layout_builder:
    enabled: true
    allow_custom: false
    sections:
      -
        layout_id: 'ui_patterns:sobki_theme_bootstrap:container'
        layout_settings:
          label: ''
          ui_patterns:
            component_id: 'sobki_theme_bootstrap:container'
            variant_id: null
            slots: {  }
            props:
              attributes:
                source_id: ui_styles_attributes
                source:
                  styles:
                    selected:
                      spacing_margin: m-2
                  extra: ''
              tag:
                source_id: select
                source:
                  value: div
          context_mapping:
            entity: layout_builder.entity
        components:
          a3ab7242-2f79-4c12-b1bb-ab85380fc97b:
            uuid: a3ab7242-2f79-4c12-b1bb-ab85380fc97b
            region: content
            configuration:
              id: 'field_block:block_content:map:field_coordinates'
              label_display: '0'
              context_mapping:
                entity: layout_builder.entity
              formatter:
                type: leaflet_formatter_default
                label: hidden
                settings:
                  multiple_map: false
                  leaflet_map: 'OSM Mapnik'
                  height: 500
                  height_unit: px
                  hide_empty_map: true
                  disable_wheel: false
                  gesture_handling: true
                  fitbounds_options: '{"padding":[0,0]}'
                  reset_map:
                    control: false
                    options: '{"position":"topleft","title":"Reset View"}'
                  map_scale:
                    control: false
                    options: '{"position":"bottomright","maxWidth":100,"metric":true,"imperial":false,"updateWhenIdle":false}'
                  locate:
                    control: false
                    options: '{"position":"topright","setView":"untilPanOrZoom","returnToPrevBounds":true,"keepCurrentZoomLevel":true,"strings":{"title":"Locate my position"}}'
                    automatic: false
                  leaflet_tooltip:
                    value: ''
                    options: '{"permanent":false,"direction":"center"}'
                  popup: false
                  popup_content: ''
                  leaflet_popup:
                    control: '1'
                    content: '[block_content:field_address]'
                    options: '{"maxWidth":"300","minWidth":"50","autoPan":true}'
                  map_position:
                    force: false
                    center:
                      lat: 0.0
                      lon: 0.0
                    zoomControlPosition: topleft
                    zoom: 12
                    minZoom: 1
                    maxZoom: 18
                    zoomFiner: 0
                  weight: '0'
                  icon:
                    iconType: marker
                    iconUrl: ''
                    shadowUrl: ''
                    className: ''
                    iconSize:
                      x: ''
                      'y': ''
                    iconAnchor:
                      x: ''
                      'y': ''
                    shadowSize:
                      x: ''
                      'y': ''
                    shadowAnchor:
                      x: ''
                      'y': ''
                    popupAnchor:
                      x: ''
                      'y': ''
                    html: '<div></div>'
                    html_class: leaflet-map-divicon
                    circle_marker_options: '{"radius":100,"color":"red","fillColor":"#f03","fillOpacity":0.5}'
                  leaflet_markercluster:
                    control: false
                    options: '{"spiderfyOnMaxZoom":true,"showCoverageOnHover":true,"removeOutsideVisibleBounds": false}'
                    include_path: false
                    excluded: ''
                  fullscreen:
                    control: false
                    options: '{"position":"topleft","pseudoFullscreen":false}'
                  path: '{"color":"#3388ff","opacity":"1.0","stroke":true,"weight":3,"fill":"depends","fillColor":"*","fillOpacity":"0.2","radius":"6"}'
                  feature_properties:
                    values: ''
                  geocoder:
                    control: false
                    settings:
                      popup: false
                      autocomplete:
                        placeholder: 'Search Address'
                        title: 'Search an Address on the Map'
                      position: topright
                      input_size: 20
                      providers:
                        openstreetmap:
                          weight: 0
                          checked: false
                      min_terms: 4
                      delay: 800
                      zoom: 16
                      options: ''
                  map_lazy_load:
                    lazy_load: true
                  geojson_overlays:
                    sources:
                      fields: {  }
                    path: '{"color":"#f71ed3","opacity":"0.7","stroke":true,"weight":2,"fillColor":"#ffddfe","fillOpacity":"0.1","radius":3,"dashArray":"5, 5"}'
                    zoom_to_geojson: true
                    snapping: true
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
            weight: 0
            additional: {  }
        third_party_settings: {  }
id: block_content.map.default
targetEntityType: block_content
bundle: map
mode: default
content:
  field_coordinates:
    type: leaflet_formatter_default
    label: hidden
    settings:
      multiple_map: false
      leaflet_map: 'OSM Mapnik'
      height: 500
      height_unit: px
      hide_empty_map: true
      disable_wheel: false
      gesture_handling: true
      fitbounds_options: '{"padding":[0,0]}'
      reset_map:
        control: false
        options: '{"position":"topleft","title":"Reset View"}'
      map_scale:
        control: false
        options: '{"position":"bottomright","maxWidth":100,"metric":true,"imperial":false,"updateWhenIdle":false}'
      locate:
        control: false
        options: '{"position":"topright","setView":"untilPanOrZoom","returnToPrevBounds":true,"keepCurrentZoomLevel":true,"strings":{"title":"Locate my position"}}'
        automatic: false
      leaflet_tooltip:
        value: ''
        options: '{"permanent":false,"direction":"center"}'
      popup: false
      popup_content: ''
      leaflet_popup:
        control: '1'
        content: '[block_content:field_address]'
        options: '{"maxWidth":"300","minWidth":"50","autoPan":true}'
      map_position:
        force: false
        center:
          lat: 0.0
          lon: 0.0
        zoomControlPosition: topleft
        zoom: 12
        minZoom: 1
        maxZoom: 18
        zoomFiner: 0
      weight: '0'
      icon:
        iconType: marker
        iconUrl: ''
        shadowUrl: ''
        className: ''
        iconSize:
          x: ''
          'y': ''
        iconAnchor:
          x: ''
          'y': ''
        shadowSize:
          x: ''
          'y': ''
        shadowAnchor:
          x: ''
          'y': ''
        popupAnchor:
          x: ''
          'y': ''
        html: '<div></div>'
        html_class: leaflet-map-divicon
        circle_marker_options: '{"radius":100,"color":"red","fillColor":"#f03","fillOpacity":0.5}'
      leaflet_markercluster:
        control: false
        options: '{"spiderfyOnMaxZoom":true,"showCoverageOnHover":true,"removeOutsideVisibleBounds": false}'
        include_path: false
        excluded: ''
      fullscreen:
        control: false
        options: '{"position":"topleft","pseudoFullscreen":false}'
      path: '{"color":"#3388ff","opacity":"1.0","stroke":true,"weight":3,"fill":"depends","fillColor":"*","fillOpacity":"0.2","radius":"6"}'
      feature_properties:
        values: ''
      geocoder:
        control: false
        settings:
          popup: false
          autocomplete:
            placeholder: 'Search Address'
            title: 'Search an Address on the Map'
          position: topright
          input_size: 20
          providers:
            openstreetmap:
              weight: 0
              checked: false
          min_terms: 4
          delay: 800
          zoom: 16
          options: ''
      map_lazy_load:
        lazy_load: true
      geojson_overlays:
        sources:
          fields: {  }
        path: '{"color":"#f71ed3","opacity":"0.7","stroke":true,"weight":2,"fillColor":"#ffddfe","fillOpacity":"0.1","radius":3,"dashArray":"5, 5"}'
        zoom_to_geojson: true
        snapping: true
    third_party_settings:
      fences:
        fences_field_tag: none
        fences_field_classes: ''
        fences_field_items_wrapper_tag: none
        fences_field_items_wrapper_classes: ''
        fences_field_item_tag: none
        fences_field_item_classes: ''
        fences_label_tag: none
        fences_label_classes: ''
    weight: 0
    region: content
hidden:
  field_address: true
  langcode: true
